aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-tie-cycle/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-07-12 15:17:00 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-07-12 15:18:17 +0000
commit253655bd62b7d935467862832693fb926130305a (patch)
tree293278c2b9cb55a3c570f2e1b433a815b7951b2f /testing/perl-tie-cycle/APKBUILD
parenta6de29cd38a9a5d7b4184484833e9de17613c3b6 (diff)
downloadaports-253655bd62b7d935467862832693fb926130305a.tar.gz
aports-253655bd62b7d935467862832693fb926130305a.tar.bz2
aports-253655bd62b7d935467862832693fb926130305a.tar.xz
testing/perl-tie-cycle: new aport
Diffstat (limited to 'testing/perl-tie-cycle/APKBUILD')
-rw-r--r--testing/perl-tie-cycle/APKBUILD42
1 files changed, 42 insertions, 0 deletions
diff --git a/testing/perl-tie-cycle/APKBUILD b/testing/perl-tie-cycle/APKBUILD
new file mode 100644
index 0000000000..d1efe72714
--- /dev/null
+++ b/testing/perl-tie-cycle/APKBUILD
@@ -0,0 +1,42 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=perl-tie-cycle
+_pkgreal=Tie-Cycle
+pkgver=1.221
+pkgrel=0
+pkgdesc="Cycle through a list of values via a scalar."
+url="http://search.cpan.org/dist/Tie-Cycle/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=" "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/B/BD/BDFOY/$_pkgreal-$pkgver.tar.gz"
+builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ default_prepare || return 1
+
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ make && make test
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="773b14e02cb5815d40160cf7255897e0 Tie-Cycle-1.221.tar.gz"
+sha256sums="c6e263bdfd19eea4ceaade3c8af33b35ef83e8251ea53759a3ca49e3729ce681 Tie-Cycle-1.221.tar.gz"
+sha512sums="39ed261ef2e3a6a93cc63197966ccae6ddee2473c24241067223448badeb76509682c52043bb34299a27f2f3a35956d3022af2fb13bd331ed2cc132dbc703087 Tie-Cycle-1.221.tar.gz"